# Memcached::append

(PECL memcached >= 0.1.0)

Memcached::append — Ajoute des données à un élément

### Description

public Memcached::append(string `$key`, string `$value`): ?bool

Memcached::append() ajouter les données de `value` à la fin d'un élément existant. La raison qui fait que `value` doit être une chaîne est que les autres types ne supportent pas cette opération.

> Note:

> Si la constante `Memcached::OPT_COMPRESSION` est activée, l'opération va échouer, et une alerte sera émise, car le préfixage de données compressée n'est pas possible.

### Liste de paramètres

`key`

  La clé de l'élément à suffixer.

`value`

  La chaîne suffixée.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. Retourne `null` si la compression est activée.

### Erreurs / Exceptions

Retourne `null` et lève un `E_WARNING` si la compression est activée.

### Exemples

Exemple #1 Exemple avec Memcached::append()

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->setOption(Memcached::OPT_COMPRESSION, false);
$m->set('foo', 'abc');
$m->append('foo', 'def');
var_dump($m->get('foo'));
?>`

L'exemple ci-dessus va afficher :

    string(6) "abcdef"

### Voir aussi

- Memcached::appendByKey() - Ajoute des données à un élément
- Memcached::prepend() - Préfixe des données à un élément existant